com.impinj.octane

## Enum ImpinjRegulatoryRegion

- java.lang.Object
- - java.lang.Enum<ImpinjRegulatoryRegion>
  - - com.impinj.octane.ImpinjRegulatoryRegion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImpinjRegulatoryRegion>

      public enum ImpinjRegulatoryRegion
      extends java.lang.Enum<ImpinjRegulatoryRegion>

  This enumeration defines the region in which the device operates, with corresponding regulatory rules.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Australia_920_926_MHz`
    `Bangladesh_925_927_MHz`
    `Brazil_902_907_and_915_928_MHz`
    `Chile`
    `China_920_925_MHz`
    `Colombia`
    `ETSI_915_921_MHz`
    `ETSI_EN_300_220`
    `ETSI_EN_302_208_v1_2_1`
    `ETSI_EN_302_208_With_LBT`
    `FCC_Part_15_247`
    `Hong_Kong_920_925_MHz`
    `India_865_867_MHz`
    `Indonesia_920_923_MHz`
    `Israel_915_917_MHz`
    `Japan_916_921_MHz_Without_LBT`
    `Korea_917_921_MHz`
    `Latin_America_902_928_MHz`
    `Malaysia_919_923_MHz`
    `Morocco`
    `Morocco_867_868_MHz`
    `New_Zealand_921p5_928_MHz`
    `Paraguay_918_928_MHz`
    `Peru_916_928_MHz`
    `Philippines_918_920_MHz`
    `Singapore_920_925_MHz`
    `South_Africa_915_919_MHz`
    `Taiwan_922_928_MHz`
    `Thailand_920_925_MHz`
    `Uruguay_916_928_MHz`
    `Vietnam_918_923_MHz`
    `Vietnam_920_923_MHz`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intValue()` Converts the enumeration object to an integer value
    `static ImpinjRegulatoryRegion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImpinjRegulatoryRegion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FCC_Part_15_247

          public static final ImpinjRegulatoryRegion FCC_Part_15_247

    - #### ETSI_EN_300_220

          public static final ImpinjRegulatoryRegion ETSI_EN_300_220

    - #### ETSI_EN_302_208_With_LBT

          public static final ImpinjRegulatoryRegion ETSI_EN_302_208_With_LBT

    - #### Hong_Kong_920_925_MHz

          public static final ImpinjRegulatoryRegion Hong_Kong_920_925_MHz

    - #### Taiwan_922_928_MHz

          public static final ImpinjRegulatoryRegion Taiwan_922_928_MHz

    - #### ETSI_EN_302_208_v1_2_1

          public static final ImpinjRegulatoryRegion ETSI_EN_302_208_v1_2_1

    - #### Korea_917_921_MHz

          public static final ImpinjRegulatoryRegion Korea_917_921_MHz

    - #### Malaysia_919_923_MHz

          public static final ImpinjRegulatoryRegion Malaysia_919_923_MHz

    - #### China_920_925_MHz

          public static final ImpinjRegulatoryRegion China_920_925_MHz

    - #### South_Africa_915_919_MHz

          public static final ImpinjRegulatoryRegion South_Africa_915_919_MHz

    - #### Brazil_902_907_and_915_928_MHz

          public static final ImpinjRegulatoryRegion Brazil_902_907_and_915_928_MHz

    - #### Thailand_920_925_MHz

          public static final ImpinjRegulatoryRegion Thailand_920_925_MHz

    - #### Singapore_920_925_MHz

          public static final ImpinjRegulatoryRegion Singapore_920_925_MHz

    - #### Australia_920_926_MHz

          public static final ImpinjRegulatoryRegion Australia_920_926_MHz

    - #### India_865_867_MHz

          public static final ImpinjRegulatoryRegion India_865_867_MHz

    - #### Uruguay_916_928_MHz

          public static final ImpinjRegulatoryRegion Uruguay_916_928_MHz

    - #### Vietnam_918_923_MHz

          public static final ImpinjRegulatoryRegion Vietnam_918_923_MHz

    - #### Israel_915_917_MHz

          public static final ImpinjRegulatoryRegion Israel_915_917_MHz

    - #### Philippines_918_920_MHz

          public static final ImpinjRegulatoryRegion Philippines_918_920_MHz

    - #### Vietnam_920_923_MHz

          public static final ImpinjRegulatoryRegion Vietnam_920_923_MHz

    - #### Indonesia_920_923_MHz

          public static final ImpinjRegulatoryRegion Indonesia_920_923_MHz

    - #### New_Zealand_921p5_928_MHz

          public static final ImpinjRegulatoryRegion New_Zealand_921p5_928_MHz

    - #### Japan_916_921_MHz_Without_LBT

          public static final ImpinjRegulatoryRegion Japan_916_921_MHz_Without_LBT

    - #### Latin_America_902_928_MHz

          public static final ImpinjRegulatoryRegion Latin_America_902_928_MHz

    - #### Peru_916_928_MHz

          public static final ImpinjRegulatoryRegion Peru_916_928_MHz

    - #### Bangladesh_925_927_MHz

          public static final ImpinjRegulatoryRegion Bangladesh_925_927_MHz

    - #### ETSI_915_921_MHz

          public static final ImpinjRegulatoryRegion ETSI_915_921_MHz

    - #### Morocco_867_868_MHz

          public static final ImpinjRegulatoryRegion Morocco_867_868_MHz

    - #### Paraguay_918_928_MHz

          public static final ImpinjRegulatoryRegion Paraguay_918_928_MHz

    - #### Morocco

          public static final ImpinjRegulatoryRegion Morocco

    - #### Chile

          public static final ImpinjRegulatoryRegion Chile

    - #### Colombia

          public static final ImpinjRegulatoryRegion Colombia

  - ### Method Detail

    - #### values

          public static ImpinjRegulatoryRegion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImpinjRegulatoryRegion c : ImpinjRegulatoryRegion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImpinjRegulatoryRegion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### intValue

          public int intValue()

      Converts the enumeration object to an integer value
      Returns:
        the Impinj regulatory region as an integer